#include "monopdestate.h"

MonopdEstate::MonopdEstate(int i, QString n, int p, int mv, int umv) : MonopdField(i,n) {
	price = p;
	mortageVal = mv;
	unmortageVal = umv;
	mortaged=false;
	owner = 0;
	type = 1;
}

int MonopdEstate::getPrice() {
	return price;
}

Player* MonopdEstate::getOwner() {
	return owner;
}

int MonopdEstate::getMortageVal() {
	return mortageVal;
}

int MonopdEstate::getUnmortageVal() {
	return unmortageVal;
}

bool MonopdEstate::getMortaged() {
	return mortaged;
}

bool MonopdEstate::getCanToggleMortage() {
	return canToggleMortage;
}

int MonopdEstate::getRent(int i) {
	if (i < 0) return 0;
	if (i > 5) return 0;
	return rent[i];
}

void MonopdEstate::setPrice(int p) {
	price = p;
}

void MonopdEstate::setOwner(Player* p) {
	owner = p;
}

void MonopdEstate::setMortageVal(int mv) {
	mortageVal=mv;
}

void MonopdEstate::setUnmortageVal(int umv) {
	unmortageVal=umv;
}

void MonopdEstate::setMortaged(bool m) {
	mortaged=m;
}

void MonopdEstate::setCanToggleMortage(int ctm) {
	canToggleMortage=ctm;
}

void MonopdEstae::setRent(int i, int r) {
	if (i < 0) return;
	if (i > 5) return;
	rent[i] = r;
}
